diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/ms-default-filters.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/ms-default-filters.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/ms-default-filters.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/ms-default-filters.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 45,50 ****
--- 45,51 ----
  add_filter( 'import_upload_size_limit', 'fix_import_form_size' );
  add_filter( 'upload_mimes', 'check_upload_mimes' );
  add_filter( 'upload_size_limit', 'upload_size_limit_filter' );
+ add_action( 'upload_ui_over_quota', 'multisite_over_quota_message' );
  
  // Mail
  add_action( 'phpmailer_init', 'fix_phpmailer_messageid' );
***************
*** 60,62 ****
--- 61,66 ----
  // WP_HOME and WP_SITEURL should not have any effect in MS
  remove_filter( 'option_siteurl', '_config_wp_siteurl' );
  remove_filter( 'option_home',    '_config_wp_home'    );
+ 
+ // If the network upgrade hasn't run yet, assume ms-files.php rewriting is used.
+ add_filter( 'default_site_option_ms_files_rewriting', '__return_true' );
\ No newline at end of file
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/ms-functions.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/ms-functions.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/ms-functions.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/ms-functions.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 152,168 ****
   *
   * @param int $blog_id ID of the blog.
   * @param int $post_id ID of the post you're looking for.
!  * @return object The post.
   */
  function get_blog_post( $blog_id, $post_id ) {
! 	global $wpdb;
! 
! 	$key = $blog_id . '-' . $post_id;
! 	$post = wp_cache_get( $key, 'global-posts' );
! 	if ( $post == false ) {
! 		$post = $wpdb->get_row( $wpdb->prepare( 'SELECT * FROM ' . $wpdb->get_blog_prefix( $blog_id ) . 'posts WHERE ID = %d', $post_id ) );
! 		wp_cache_add( $key, $post, 'global-posts' );
! 	}
  
  	return $post;
  }
--- 152,163 ----
   *
   * @param int $blog_id ID of the blog.
   * @param int $post_id ID of the post you're looking for.
!  * @return WP_Post|null WP_Post on success or null on failure
   */
  function get_blog_post( $blog_id, $post_id ) {
! 	switch_to_blog( $blog_id );
! 	$post = get_post( $post_id );
! 	restore_current_blog();
  
  	return $post;
  }
***************
*** 183,193 ****
  function add_user_to_blog( $blog_id, $user_id, $role ) {
  	switch_to_blog($blog_id);
  
! 	$user = new WP_User($user_id);
  
! 	if ( ! $user->exists() ) {
  		restore_current_blog();
! 		return new WP_Error('user_does_not_exist', __('That user does not exist.'));
  	}
  
  	if ( !get_user_meta($user_id, 'primary_blog', true) ) {
--- 178,188 ----
  function add_user_to_blog( $blog_id, $user_id, $role ) {
  	switch_to_blog($blog_id);
  
! 	$user = get_userdata( $user_id );
  
! 	if ( ! $user ) {
  		restore_current_blog();
! 		return new WP_Error( 'user_does_not_exist', __( 'The requested user does not exist.' ) );
  	}
  
  	if ( !get_user_meta($user_id, 'primary_blog', true) ) {
***************
*** 246,253 ****
  	}
  
  	// wp_revoke_user($user_id);
! 	$user = new WP_User($user_id);
! 	if ( ! $user->exists() ) {
  		restore_current_blog();
  		return new WP_Error('user_does_not_exist', __('That user does not exist.'));
  	}
--- 241,248 ----
  	}
  
  	// wp_revoke_user($user_id);
! 	$user = get_userdata( $user_id );
! 	if ( ! $user ) {
  		restore_current_blog();
  		return new WP_Error('user_does_not_exist', __('That user does not exist.'));
  	}
***************
*** 313,331 ****
   *
   * @since MU 1.0
   *
!  * @param int $_blog_id ID of the source blog.
   * @param int $post_id ID of the desired post.
   * @return string The post's permalink
   */
! function get_blog_permalink( $_blog_id, $post_id ) {
! 	$key = "{$_blog_id}-{$post_id}-blog_permalink";
! 	$link = wp_cache_get( $key, 'site-options' );
! 	if ( $link == false ) {
! 		switch_to_blog( $_blog_id );
! 		$link = get_permalink( $post_id );
! 		restore_current_blog();
! 		wp_cache_add( $key, $link, 'site-options', 360 );
! 	}
  	return $link;
  }
  
--- 308,322 ----
   *
   * @since MU 1.0
   *
!  * @param int $blog_id ID of the source blog.
   * @param int $post_id ID of the desired post.
   * @return string The post's permalink
   */
! function get_blog_permalink( $blog_id, $post_id ) {
! 	switch_to_blog( $blog_id );
! 	$link = get_permalink( $post_id );
! 	restore_current_blog();
! 
  	return $link;
  }
  
***************
*** 341,367 ****
   *
   * @param string $domain
   * @param string $path Optional. Not required for subdomain installations.
!  * @return int
   */
  function get_blog_id_from_url( $domain, $path = '/' ) {
  	global $wpdb;
  
! 	$domain = strtolower( $wpdb->escape( $domain ) );
! 	$path = strtolower( $wpdb->escape( $path ) );
  	$id = wp_cache_get( md5( $domain . $path ), 'blog-id-cache' );
  
! 	if ( $id == -1 ) { // blog does not exist
  		return 0;
! 	} elseif ( $id ) {
! 		return (int)$id;
! 	}
  
! 	$id = $wpdb->get_var( "SELECT blog_id FROM $wpdb->blogs WHERE domain = '$domain' and path = '$path' /* get_blog_id_from_url */" );
  
! 	if ( !$id ) {
  		wp_cache_set( md5( $domain . $path ), -1, 'blog-id-cache' );
! 		return false;
  	}
  	wp_cache_set( md5( $domain . $path ), $id, 'blog-id-cache' );
  
  	return $id;
--- 332,358 ----
   *
   * @param string $domain
   * @param string $path Optional. Not required for subdomain installations.
!  * @return int 0 if no blog found, otherwise the ID of the matching blog
   */
  function get_blog_id_from_url( $domain, $path = '/' ) {
  	global $wpdb;
  
! 	$domain = strtolower( $domain );
! 	$path = strtolower( $path );
  	$id = wp_cache_get( md5( $domain . $path ), 'blog-id-cache' );
  
! 	if ( $id == -1 ) // blog does not exist
  		return 0;
! 	elseif ( $id )
! 		return (int) $id;
  
! 	$id = $wpdb->get_var( $wpdb->prepare( "SELECT blog_id FROM $wpdb->blogs WHERE domain = %s and path = %s /* get_blog_id_from_url */", $domain, $path ) );
  
! 	if ( ! $id ) {
  		wp_cache_set( md5( $domain . $path ), -1, 'blog-id-cache' );
! 		return 0;
  	}
+ 
  	wp_cache_set( md5( $domain . $path ), $id, 'blog-id-cache' );
  
  	return $id;
***************
*** 384,408 ****
   */
  function is_email_address_unsafe( $user_email ) {
  	$banned_names = get_site_option( 'banned_email_domains' );
! 	if ($banned_names && !is_array( $banned_names ))
! 		$banned_names = explode( "\n", $banned_names);
  
! 	if ( is_array( $banned_names ) && empty( $banned_names ) == false ) {
! 		$email_domain = strtolower( substr( $user_email, 1 + strpos( $user_email, '@' ) ) );
! 		foreach ( (array) $banned_names as $banned_domain ) {
! 			if ( $banned_domain == '' )
  				continue;
! 			if (
! 				strstr( $email_domain, $banned_domain ) ||
! 				(
! 					strstr( $banned_domain, '/' ) &&
! 					preg_match( $banned_domain, $email_domain )
! 				)
! 			)
! 			return true;
  		}
  	}
! 	return false;
  }
  
  /**
--- 375,406 ----
   */
  function is_email_address_unsafe( $user_email ) {
  	$banned_names = get_site_option( 'banned_email_domains' );
! 	if ( $banned_names && ! is_array( $banned_names ) )
! 		$banned_names = explode( "\n", $banned_names );
! 
! 	$is_email_address_unsafe = false;
! 
! 	if ( $banned_names && is_array( $banned_names ) ) {
! 		list( $email_local_part, $email_domain ) = explode( '@', $user_email );
  
! 		foreach ( $banned_names as $banned_domain ) {
! 			if ( ! $banned_domain )
  				continue;
! 
! 			if ( $email_domain == $banned_domain ) {
! 				$is_email_address_unsafe = true;
! 				break;
! 			}
! 
! 			$dotted_domain = ".$banned_domain";
! 			if ( $dotted_domain === substr( $user_email, -strlen( $dotted_domain ) ) ) {
! 				$is_email_address_unsafe = true;
! 				break;
! 			}
  		}
  	}
! 
! 	return apply_filters( 'is_email_address_unsafe', $is_email_address_unsafe, $user_email );
  }
  
  /**
***************
*** 471,477 ****
  		$errors->add('user_name', __('Sorry, usernames must have letters too!'));
  
  	if ( !is_email( $user_email ) )
! 		$errors->add('user_email', __( 'Please enter a correct email address.' ) );
  
  	$limited_email_domains = get_site_option( 'limited_email_domains' );
  	if ( is_array( $limited_email_domains ) && empty( $limited_email_domains ) == false ) {
--- 469,475 ----
  		$errors->add('user_name', __('Sorry, usernames must have letters too!'));
  
  	if ( !is_email( $user_email ) )
! 		$errors->add('user_email', __( 'Please enter a valid email address.' ) );
  
  	$limited_email_domains = get_site_option( 'limited_email_domains' );
  	if ( is_array( $limited_email_domains ) && empty( $limited_email_domains ) == false ) {
***************
*** 482,492 ****
  
  	// Check if the username has been used already.
  	if ( username_exists($user_name) )
! 		$errors->add('user_name', __('Sorry, that username already exists!'));
  
  	// Check if the email address has been used already.
  	if ( email_exists($user_email) )
! 		$errors->add('user_email', __('Sorry, that email address is already used!'));
  
  	// Has someone already signed up for this username?
  	$signup = $wpdb->get_row( $wpdb->prepare("SELECT * FROM $wpdb->signups WHERE user_login = %s", $user_name) );
--- 480,490 ----
  
  	// Check if the username has been used already.
  	if ( username_exists($user_name) )
! 		$errors->add( 'user_name', __( 'Sorry, that username already exists!' ) );
  
  	// Check if the email address has been used already.
  	if ( email_exists($user_email) )
! 		$errors->add( 'user_email', __( 'Sorry, that email address is already used!' ) );
  
  	// Has someone already signed up for this username?
  	$signup = $wpdb->get_row( $wpdb->prepare("SELECT * FROM $wpdb->signups WHERE user_login = %s", $user_name) );
***************
*** 495,501 ****
  		$now = current_time( 'timestamp', true );
  		$diff = $now - $registered_at;
  		// If registered more than two days ago, cancel registration and let this signup go through.
! 		if ( $diff > 172800 )
  			$wpdb->delete( $wpdb->signups, array( 'user_login' => $user_name ) );
  		else
  			$errors->add('user_name', __('That username is currently reserved but may be available in a couple of days.'));
--- 493,499 ----
  		$now = current_time( 'timestamp', true );
  		$diff = $now - $registered_at;
  		// If registered more than two days ago, cancel registration and let this signup go through.
! 		if ( $diff > 2 * DAY_IN_SECONDS )
  			$wpdb->delete( $wpdb->signups, array( 'user_login' => $user_name ) );
  		else
  			$errors->add('user_name', __('That username is currently reserved but may be available in a couple of days.'));
***************
*** 508,514 ****
  	if ( $signup != null ) {
  		$diff = current_time( 'timestamp', true ) - mysql2date('U', $signup->registered);
  		// If registered more than two days ago, cancel registration and let this signup go through.
! 		if ( $diff > 172800 )
  			$wpdb->delete( $wpdb->signups, array( 'user_email' => $user_email ) );
  		else
  			$errors->add('user_email', __('That email address has already been used. Please check your inbox for an activation email. It will become available in a couple of days if you do nothing.'));
--- 506,512 ----
  	if ( $signup != null ) {
  		$diff = current_time( 'timestamp', true ) - mysql2date('U', $signup->registered);
  		// If registered more than two days ago, cancel registration and let this signup go through.
! 		if ( $diff > 2 * DAY_IN_SECONDS )
  			$wpdb->delete( $wpdb->signups, array( 'user_email' => $user_email ) );
  		else
  			$errors->add('user_email', __('That email address has already been used. Please check your inbox for an activation email. It will become available in a couple of days if you do nothing.'));
***************
*** 542,548 ****
   * @return array Contains the new site data and error messages.
   */
  function wpmu_validate_blog_signup($blogname, $blog_title, $user = '') {
! 	global $wpdb, $domain, $base, $current_site;
  
  	$blog_title = strip_tags( $blog_title );
  	$blog_title = substr( $blog_title, 0, 50 );
--- 540,548 ----
   * @return array Contains the new site data and error messages.
   */
  function wpmu_validate_blog_signup($blogname, $blog_title, $user = '') {
! 	global $wpdb, $domain, $current_site;
! 
! 	$base = $current_site->path;
  
  	$blog_title = strip_tags( $blog_title );
  	$blog_title = substr( $blog_title, 0, 50 );
***************
*** 562,568 ****
  		$errors->add('blogname', __( 'Please enter a site name.' ) );
  
  	if ( preg_match( '/[^a-z0-9]+/', $blogname ) )
! 		$errors->add('blogname', __( 'Only lowercase letters and numbers allowed.' ) );
  
  	if ( in_array( $blogname, $illegal_names ) == true )
  		$errors->add('blogname',  __( 'That name is not allowed.' ) );
--- 562,568 ----
  		$errors->add('blogname', __( 'Please enter a site name.' ) );
  
  	if ( preg_match( '/[^a-z0-9]+/', $blogname ) )
! 		$errors->add('blogname', __( 'Only lowercase letters (a-z) and numbers are allowed.' ) );
  
  	if ( in_array( $blogname, $illegal_names ) == true )
  		$errors->add('blogname',  __( 'That name is not allowed.' ) );
***************
*** 598,605 ****
  		$mydomain = "$domain";
  		$path = $base.$blogname.'/';
  	}
! 	if ( domain_exists($mydomain, $path) )
! 		$errors->add('blogname', __('Sorry, that site already exists!'));
  
  	if ( username_exists( $blogname ) ) {
  		if ( is_object( $user ) == false || ( is_object($user) && ( $user->user_login != $blogname ) ) )
--- 598,605 ----
  		$mydomain = "$domain";
  		$path = $base.$blogname.'/';
  	}
! 	if ( domain_exists($mydomain, $path, $current_site->id) )
! 		$errors->add( 'blogname', __( 'Sorry, that site already exists!' ) );
  
  	if ( username_exists( $blogname ) ) {
  		if ( is_object( $user ) == false || ( is_object($user) && ( $user->user_login != $blogname ) ) )
***************
*** 611,623 ****
  	if ( ! empty($signup) ) {
  		$diff = current_time( 'timestamp', true ) - mysql2date('U', $signup->registered);
  		// If registered more than two days ago, cancel registration and let this signup go through.
! 		if ( $diff > 172800 )
  			$wpdb->delete( $wpdb->signups, array( 'domain' => $mydomain , 'path' => $path ) );
  		else
  			$errors->add('blogname', __('That site is currently reserved but may be available in a couple days.'));
  	}
  
! 	$result = array('domain' => $mydomain, 'path' => $path, 'blogname' => $blogname, 'blog_title' => $blog_title, 'errors' => $errors);
  	return apply_filters('wpmu_validate_blog_signup', $result);
  }
  
--- 611,623 ----
  	if ( ! empty($signup) ) {
  		$diff = current_time( 'timestamp', true ) - mysql2date('U', $signup->registered);
  		// If registered more than two days ago, cancel registration and let this signup go through.
! 		if ( $diff > 2 * DAY_IN_SECONDS )
  			$wpdb->delete( $wpdb->signups, array( 'domain' => $mydomain , 'path' => $path ) );
  		else
  			$errors->add('blogname', __('That site is currently reserved but may be available in a couple days.'));
  	}
  
! 	$result = array('domain' => $mydomain, 'path' => $path, 'blogname' => $blogname, 'blog_title' => $blog_title, 'user' => $user, 'errors' => $errors);
  	return apply_filters('wpmu_validate_blog_signup', $result);
  }
  
***************
*** 790,796 ****
  	$message_headers = "From: \"{$from_name}\" <{$admin_email}>\n" . "Content-Type: text/plain; charset=\"" . get_option('blog_charset') . "\"\n";
  	$message = sprintf(
  		apply_filters( 'wpmu_signup_user_notification_email',
! 			__( "To activate your user, please click the following link:\n\n%s\n\nAfter you activate, you will receive *another email* with your login.\n\n" ),
  			$user, $user_email, $key, $meta
  		),
  		site_url( "wp-activate.php?key=$key" )
--- 790,796 ----
  	$message_headers = "From: \"{$from_name}\" <{$admin_email}>\n" . "Content-Type: text/plain; charset=\"" . get_option('blog_charset') . "\"\n";
  	$message = sprintf(
  		apply_filters( 'wpmu_signup_user_notification_email',
! 			__( "To activate your user, please click the following link:\n\n%s\n\nAfter you activate, you will receive *another email* with your login." ),
  			$user, $user_email, $key, $meta
  		),
  		site_url( "wp-activate.php?key=$key" )
***************
*** 965,971 ****
  
  	// Check if the domain has been used already. We should return an error message.
  	if ( domain_exists($domain, $path, $site_id) )
! 		return new WP_Error('blog_taken', __('Site already exists.'));
  
  	if ( !defined('WP_INSTALLING') )
  		define( 'WP_INSTALLING', true );
--- 965,971 ----
  
  	// Check if the domain has been used already. We should return an error message.
  	if ( domain_exists($domain, $path, $site_id) )
! 		return new WP_Error( 'blog_taken', __( 'Sorry, that site already exists!' ) );
  
  	if ( !defined('WP_INSTALLING') )
  		define( 'WP_INSTALLING', true );
***************
*** 1024,1034 ****
  	$siteurl = site_url();
  	restore_current_blog();
  
! 	$msg = sprintf( __( 'New Site: %1s
! URL: %2s
! Remote IP: %3s
  
! Disable these notifications: %4s' ), $blogname, $siteurl, $_SERVER['REMOTE_ADDR'], $options_site_url);
  	$msg = apply_filters( 'newblog_notify_siteadmin', $msg );
  
  	wp_mail( $email, sprintf( __( 'New Site Registration: %s' ), $siteurl ), $msg );
--- 1024,1034 ----
  	$siteurl = site_url();
  	restore_current_blog();
  
! 	$msg = sprintf( __( 'New Site: %1$s
! URL: %2$s
! Remote IP: %3$s
  
! Disable these notifications: %4$s' ), $blogname, $siteurl, $_SERVER['REMOTE_ADDR'], $options_site_url);
  	$msg = apply_filters( 'newblog_notify_siteadmin', $msg );
  
  	wp_mail( $email, sprintf( __( 'New Site Registration: %s' ), $siteurl ), $msg );
***************
*** 1056,1068 ****
  	if ( is_email($email) == false )
  		return false;
  
! 	$user = new WP_User($user_id);
  
  	$options_site_url = esc_url(network_admin_url('settings.php'));
! 	$msg = sprintf(__('New User: %1s
! Remote IP: %2s
  
! Disable these notifications: %3s'), $user->user_login, $_SERVER['REMOTE_ADDR'], $options_site_url);
  
  	$msg = apply_filters( 'newuser_notify_siteadmin', $msg, $user );
  	wp_mail( $email, sprintf(__('New User Registration: %s'), $user->user_login), $msg );
--- 1056,1068 ----
  	if ( is_email($email) == false )
  		return false;
  
! 	$user = get_userdata( $user_id );
  
  	$options_site_url = esc_url(network_admin_url('settings.php'));
! 	$msg = sprintf(__('New User: %1$s
! Remote IP: %2$s
  
! Disable these notifications: %3$s'), $user->user_login, $_SERVER['REMOTE_ADDR'], $options_site_url);
  
  	$msg = apply_filters( 'newuser_notify_siteadmin', $msg, $user );
  	wp_mail( $email, sprintf(__('New User Registration: %s'), $user->user_login), $msg );
***************
*** 1084,1090 ****
   */
  function domain_exists($domain, $path, $site_id = 1) {
  	global $wpdb;
! 	return $wpdb->get_var( $wpdb->prepare("SELECT blog_id FROM $wpdb->blogs WHERE domain = %s AND path = %s AND site_id = %d", $domain, $path, $site_id) );
  }
  
  /**
--- 1084,1091 ----
   */
  function domain_exists($domain, $path, $site_id = 1) {
  	global $wpdb;
! 	$result = $wpdb->get_var( $wpdb->prepare("SELECT blog_id FROM $wpdb->blogs WHERE domain = %s AND path = %s AND site_id = %d", $domain, $path, $site_id) );
! 	return apply_filters( 'domain_exists', $result, $domain, $path, $site_id );
  }
  
  /**
***************
*** 1129,1148 ****
   * @param string $blog_title The title of the new site.
   */
  function install_blog($blog_id, $blog_title = '') {
! 	global $wpdb, $table_prefix, $wp_roles;
! 	$wpdb->suppress_errors();
  
  	// Cast for security
  	$blog_id = (int) $blog_id;
  
  	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
  
! 	if ( $wpdb->get_results("SELECT ID FROM $wpdb->posts") )
! 		die(__('<h1>Already Installed</h1><p>You appear to have already installed WordPress. To reinstall please clear your old database tables first.</p>') . '</body></html>');
! 
! 	$wpdb->suppress_errors(false);
  
! 	$url = get_blogaddress_by_id($blog_id);
  
  	// Set everything up
  	make_db_current_silent( 'blog' );
--- 1130,1148 ----
   * @param string $blog_title The title of the new site.
   */
  function install_blog($blog_id, $blog_title = '') {
! 	global $wpdb, $wp_roles, $current_site;
  
  	// Cast for security
  	$blog_id = (int) $blog_id;
  
  	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
  
! 	$wpdb->suppress_errors();
! 	if ( $wpdb->get_results( "DESCRIBE {$wpdb->posts}" ) )
! 		die( '<h1>' . __( 'Already Installed' ) . '</h1><p>' . __( 'You appear to have already installed WordPress. To reinstall please clear your old database tables first.' ) . '</p></body></html>' );
! 	$wpdb->suppress_errors( false );
  
! 	$url = get_blogaddress_by_id( $blog_id );
  
  	// Set everything up
  	make_db_current_silent( 'blog' );
***************
*** 1150,1170 ****
  	populate_roles();
  	$wp_roles->_init();
  
! 	// fix url.
! 	update_option('siteurl', $url);
! 	update_option('home', $url);
! 	update_option('fileupload_url', $url . "files" );
! 	update_option('upload_path', UPLOADBLOGSDIR . "/$blog_id/files");
! 	update_option('blogname', stripslashes( $blog_title ) );
! 	update_option('admin_email', '');
! 	$wpdb->update( $wpdb->options, array('option_value' => ''), array('option_name' => 'admin_email') );
  
! 	// remove all perms
! 	$wpdb->delete( $wpdb->usermeta, array( 'meta_key' => $table_prefix.'user_level' ) );
  
! 	$wpdb->delete( $wpdb->usermeta, array( 'meta_key' => $table_prefix.'capabilities' ) );
  
! 	$wpdb->suppress_errors( false );
  }
  
  /**
--- 1150,1172 ----
  	populate_roles();
  	$wp_roles->_init();
  
! 	$url = untrailingslashit( $url );
  
! 	update_option( 'siteurl', $url );
! 	update_option( 'home', $url );
  
! 	if ( get_site_option( 'ms_files_rewriting' ) )
! 		update_option( 'upload_path', UPLOADBLOGSDIR . "/$blog_id/files" );
! 	else
! 		update_option( 'upload_path', get_blog_option( $current_site->blog_id, 'upload_path' ) );
  
! 	update_option( 'blogname', stripslashes( $blog_title ) );
! 	update_option( 'admin_email', '' );
! 
! 	// remove all perms
! 	$table_prefix = $wpdb->get_blog_prefix();
! 	delete_metadata( 'user', 0, $table_prefix . 'user_level',   null, true ); // delete all
! 	delete_metadata( 'user', 0, $table_prefix . 'capabilities', null, true ); // delete all
  }
  
  /**
***************
*** 1232,1238 ****
  --The Team @ SITE_NAME' ) );
  
  	$url = get_blogaddress_by_id($blog_id);
! 	$user = new WP_User($user_id);
  
  	$welcome_email = str_replace( 'SITE_NAME', $current_site->site_name, $welcome_email );
  	$welcome_email = str_replace( 'BLOG_TITLE', $title, $welcome_email );
--- 1234,1240 ----
  --The Team @ SITE_NAME' ) );
  
  	$url = get_blogaddress_by_id($blog_id);
! 	$user = get_userdata( $user_id );
  
  	$welcome_email = str_replace( 'SITE_NAME', $current_site->site_name, $welcome_email );
  	$welcome_email = str_replace( 'BLOG_TITLE', $title, $welcome_email );
***************
*** 1281,1287 ****
  
  	$welcome_email = get_site_option( 'welcome_user_email' );
  
! 	$user = new WP_User($user_id);
  
  	$welcome_email = apply_filters( 'update_welcome_user_email', $welcome_email, $user_id, $password, $meta);
  	$welcome_email = str_replace( 'SITE_NAME', $current_site->site_name, $welcome_email );
--- 1283,1289 ----
  
  	$welcome_email = get_site_option( 'welcome_user_email' );
  
! 	$user = get_userdata( $user_id );
  
  	$welcome_email = apply_filters( 'update_welcome_user_email', $welcome_email, $user_id, $password, $meta);
  	$welcome_email = str_replace( 'SITE_NAME', $current_site->site_name, $welcome_email );
***************
*** 1416,1422 ****
  
  	$dirsize[ $directory ][ 'size' ] = recurse_dirsize( $directory );
  
! 	set_transient( 'dirsize_cache', $dirsize, 3600 );
  	return $dirsize[ $directory ][ 'size' ];
  }
  
--- 1418,1424 ----
  
  	$dirsize[ $directory ][ 'size' ] = recurse_dirsize( $directory );
  
! 	set_transient( 'dirsize_cache', $dirsize, HOUR_IN_SECONDS );
  	return $dirsize[ $directory ][ 'size' ];
  }
  
***************
*** 1458,1491 ****
  }
  
  /**
-  * Check whether a blog has used its allotted upload space.
-  *
-  * @since MU
-  * @uses get_dirsize()
-  *
-  * @param bool $echo Optional. If $echo is set and the quota is exceeded, a warning message is echoed. Default is true.
-  * @return int
-  */
- function upload_is_user_over_quota( $echo = true ) {
- 	if ( get_site_option( 'upload_space_check_disabled' ) )
- 		return false;
- 
- 	$spaceAllowed = get_space_allowed();
- 	if ( empty( $spaceAllowed ) || !is_numeric( $spaceAllowed ) )
- 		$spaceAllowed = 10;	// Default space allowed is 10 MB
- 
- 	$size = get_dirsize( BLOGUPLOADDIR ) / 1024 / 1024;
- 
- 	if ( ($spaceAllowed-$size) < 0 ) {
- 		if ( $echo )
- 			_e( 'Sorry, you have used your space allocation. Please delete some files to upload more files.' ); // No space left
- 		return true;
- 	} else {
- 		return false;
- 	}
- }
- 
- /**
   * Check an array of MIME types against a whitelist.
   *
   * WordPress ships with a set of allowed upload filetypes,
--- 1460,1465 ----
***************
*** 1535,1568 ****
   */
  function wpmu_log_new_registrations( $blog_id, $user_id ) {
  	global $wpdb;
! 	$user = new WP_User( (int) $user_id );
  	$wpdb->insert( $wpdb->registration_log, array('email' => $user->user_email, 'IP' => preg_replace( '/[^0-9., ]/', '',$_SERVER['REMOTE_ADDR'] ), 'blog_id' => $blog_id, 'date_registered' => current_time('mysql')) );
  }
  
  /**
-  * Get the remaining upload space for this blog.
-  *
-  * @since MU
-  * @uses upload_is_user_over_quota()
-  * @uses get_space_allowed()
-  * @uses get_dirsize()
-  *
-  * @param int $size
-  * @return int
-  */
- function fix_import_form_size( $size ) {
- 	if ( upload_is_user_over_quota( false ) == true )
- 		return 0;
- 
- 	$spaceAllowed = 1024 * 1024 * get_space_allowed();
- 	$dirsize = get_dirsize( BLOGUPLOADDIR );
- 	if ( $size > $spaceAllowed - $dirsize )
- 		return $spaceAllowed - $dirsize; // remaining space
- 	else
- 		return $size; // default
- }
- 
- /**
   * Maintains a canonical list of terms by syncing terms created for each blog with the global terms table.
   *
   * @since 3.0.0
--- 1509,1519 ----
   */
  function wpmu_log_new_registrations( $blog_id, $user_id ) {
  	global $wpdb;
! 	$user = get_userdata( (int) $user_id );
  	$wpdb->insert( $wpdb->registration_log, array('email' => $user->user_email, 'IP' => preg_replace( '/[^0-9., ]/', '',$_SERVER['REMOTE_ADDR'] ), 'blog_id' => $blog_id, 'date_registered' => current_time('mysql')) );
  }
  
  /**
   * Maintains a canonical list of terms by syncing terms created for each blog with the global terms table.
   *
   * @since 3.0.0
***************
*** 1652,1658 ****
   * @return mixed If the upload is under the size limit, $upload is returned. Otherwise returns an error message.
   */
  function upload_is_file_too_big( $upload ) {
! 	if ( is_array( $upload ) == false || defined( 'WP_IMPORTING' ) )
  		return $upload;
  
  	if ( strlen( $upload['bits'] )  > ( 1024 * get_site_option( 'fileupload_maxk', 1500 ) ) )
--- 1603,1609 ----
   * @return mixed If the upload is under the size limit, $upload is returned. Otherwise returns an error message.
   */
  function upload_is_file_too_big( $upload ) {
! 	if ( is_array( $upload ) == false || defined( 'WP_IMPORTING' ) || get_site_option( 'upload_space_check_disabled' ) )
  		return $upload;
  
  	if ( strlen( $upload['bits'] )  > ( 1024 * get_site_option( 'fileupload_maxk', 1500 ) ) )
***************
*** 1687,1693 ****
  		return $result;
  
  	if ( wp_create_nonce('signup_form_' . $_POST[ 'signup_form_id' ]) != $_POST['_signup_form'] )
! 		wp_die( __('Please try again!') );
  
  	return $result;
  }
--- 1638,1644 ----
  		return $result;
  
  	if ( wp_create_nonce('signup_form_' . $_POST[ 'signup_form_id' ]) != $_POST['_signup_form'] )
! 		wp_die( __( 'Please try again.' ) );
  
  	return $result;
  }
***************
*** 1734,1740 ****
  	if ( empty( $details ) || is_wp_error( add_existing_user_to_blog( $details ) ) )
  		wp_die( sprintf(__('An error occurred adding you to this site. Back to the <a href="%s">homepage</a>.'), home_url() ) );
  
! 	wp_die( sprintf(__('You have been added to this site. Please visit the <a href="%s">homepage</a> or <a href="%s">log in</a> using your username and password.'), home_url(), admin_url() ), __('Success') );
  }
  
  /**
--- 1685,1691 ----
  	if ( empty( $details ) || is_wp_error( add_existing_user_to_blog( $details ) ) )
  		wp_die( sprintf(__('An error occurred adding you to this site. Back to the <a href="%s">homepage</a>.'), home_url() ) );
  
! 	wp_die( sprintf( __( 'You have been added to this site. Please visit the <a href="%s">homepage</a> or <a href="%s">log in</a> using your username and password.' ), home_url(), admin_url() ), __( 'WordPress &rsaquo; Success' ) );
  }
  
  /**
***************
*** 1801,1807 ****
  	} else {
  		$user_id = get_user_id_from_string( $username );
  	}
! 	$u = new WP_User( $user_id );
  
  	return ( isset( $u->spam ) && $u->spam == 1 );
  }
--- 1752,1758 ----
  	} else {
  		$user_id = get_user_id_from_string( $username );
  	}
! 	$u = get_userdata( $user_id );
  
  	return ( isset( $u->spam ) && $u->spam == 1 );
  }
***************
*** 1934,1954 ****
  }
  
  /**
!  * Formats an String URL to use HTTPS if HTTP is found.
   * Useful as a filter.
   *
   * @since 2.8.5
!  **/
  function filter_SSL( $url ) {
! 	if ( !is_string( $url ) )
! 		return get_bloginfo( 'url' ); //return home blog url with proper scheme
! 
! 	$arrURL = parse_url( $url );
  
! 	if ( force_ssl_content() && is_ssl() ) {
! 		if ( 'http' === $arrURL['scheme'] )
! 			$url = str_replace( $arrURL['scheme'], 'https', $url );
! 	}
  
  	return $url;
  }
--- 1885,1905 ----
  }
  
  /**
!  * Formats a URL to use https.
!  *
   * Useful as a filter.
   *
   * @since 2.8.5
!  *
!  * @param string URL
!  * @return string URL with https as the scheme
!  */
  function filter_SSL( $url ) {
! 	if ( ! is_string( $url ) )
! 		return get_bloginfo( 'url' ); // Return home blog url with proper scheme
  
! 	if ( force_ssl_content() && is_ssl() )
! 		$url = set_url_scheme( $url, 'https' );
  
  	return $url;
  }
